| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkDebug::TestFunctionObserverInformation Class Referencefinal

Information provided during a function run. More...

## Public Member Functions
| TestFunctionObserverInformation () noexcept
nkMemory::StringView | getName () const
unsigned long long | getTimeMicroS () const
TestRunResult * | getRunResult () const
void | setName (nkMemory::StringView value)
void | setTimeMicroS (unsigned long long value)
void | setRunResult (TestRunResult *value)

## Detailed Description

Information provided during a function run.

## Constructor & Destructor Documentation

## ◆ TestFunctionObserverInformation()

nkDebug::TestFunctionObserverInformation::TestFunctionObserverInformation | ( |  | ) |
| noexcept

Default constructor.

## Member Function Documentation

## ◆ getName()

nkMemory::StringView nkDebug::TestFunctionObserverInformation::getName | ( |  | ) | const

Returns
  The name of the calling function, available at all time.

## ◆ getTimeMicroS()

unsigned long long nkDebug::TestFunctionObserverInformation::getTimeMicroS | ( |  | ) | const

Returns
  The time the function took to run, in micro seconds. Available after a run, whether successful or not.

## ◆ getRunResult()

TestRunResult* nkDebug::TestFunctionObserverInformation::getRunResult | ( |  | ) | const

Returns
  A pointer over the test results. Available after a run, whether successful or not.

## ◆ setName()

void nkDebug::TestFunctionObserverInformation::setName | ( | nkMemory::StringView | value | ) |

Sets the name of the calling function.

Parameters

  value | The name to set.

## ◆ setTimeMicroS()

void nkDebug::TestFunctionObserverInformation::setTimeMicroS | ( | unsigned long long | value | ) |

Sets the time, in micro seconds, the function took to run.

Parameters

  value | The value to set.

## ◆ setRunResult()

void nkDebug::TestFunctionObserverInformation::setRunResult | ( | TestRunResult * | value | ) |

Sets the run result structure pointer.

Parameters

  value | The pointer to set.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsDebug/Testing/Observers/TestFunctionObserverInformation.h